KintsugiKintsugi
API reference / Upsert customer tax registration

Upsert customer tax registration

POST/v1/customers/{customer_id}/tax-registrations

Creates or updates a customer tax registration record. If a registration already exists for this customer with the same tax type and country code, it will be updated.

Authorization

x-api-keystringRequired

Your secret API key. Include it with every request.

Path parameters

customer_idstringRequired

Body

tax_idstringRequired

Response

idstringRequired
customer_idstringRequired
country_codeCountryCodeEnumRequired
Available options:AFAXALDZASADAOAIAQAGARAMAWAUATAZBSBHBDBBBYBEBZBJBMBTBOBQBABWBVBRIOBNBGBFBICVKHCMCAKYCFTDCLCNCXCCCOKMCGCDCKCRHRCUCWCYCZDKDJDMDOECEGSVGQEREESZETFKFOFJFIFRGFPFTFGAGMGEDEGHGIGRGLGDGPGUGTGGGNGWGYHTHMVAHNHKHUISINIDIRIQIEIMILITCIJMJPJEJOKZKEKIKPKRKWKGLALVLBLSLRLYLILTLUMOMGMWMYMVMLMTMHMQMRMUYTMXFMMDMCMNMEMSMAMZMMNANRNPNLNCNZNINENGNUNFMKMPNOOMPKPWPSPAPGPYPEPHPNPLPTPRQARERORURWBLSHKNLCMFPMVCWSSMSTSASNRSSCSLSGSXSKSISBSOZAGSSSESLKSDSRSJSECHSYTWTJTZTHTLTGTKTOTTTNTRTMTCTVUGUAAEGBUSUMUYUZVUVEVNVGVIWFEHYEZMZWXKZZ_EU
tax_typeCustomerTaxTypeEnumRequired

Enum for customer tax registration types.

Available options:gsthstgst_hstqstpstrstvatunknown
tax_idstringRequired
is_validbooleanRequired
200

Successful Response

422

Validation Error

cURL
POST /v1/customers/{customer_id}/tax-registrations
-H "x-api-key: ***"
{
"tax_id": "1234567890"
}
Example request
https://api.trykintsugi.com/v1/customers/{customer_id}/tax-registrations
Response
{
"id": "string",
"customer_id": "string",
"country_code": "AF",
"tax_type": "gst",
"tax_id": "string",
"is_valid": true
}